Skip to main content
POST
/
v1
/
organizations
/
{organizationId}
/
api-keys
Create an organization API key
curl --request POST \
  --url https://api.tripwirejs.com/v1/organizations/{organizationId}/api-keys \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Acme Growth Workspace"
}
'
{
  "data": {
    "object": "api_key",
    "id": "key_6cw04zdmetw8t5rsdppadhper0",
    "type": "publishable",
    "environment": "live",
    "name": "Acme Growth Workspace",
    "status": "active",
    "allowed_origins": [
      "https://app.acme.co/signup"
    ],
    "scopes": [
      "sessions:list"
    ],
    "rate_limit": 1,
    "key_preview": "TRIPWIRE_SAMPLE_KEY",
    "display_key": "TRIPWIRE_SAMPLE_KEY",
    "revealed_key": "TRIPWIRE_SAMPLE_KEY",
    "last_used_at": "2026-03-24T20:00:05.000Z",
    "created_at": "2026-03-24T20:00:00.000Z",
    "rotated_at": "2026-03-24T20:00:05.000Z",
    "revoked_at": "2026-03-24T20:00:05.000Z",
    "grace_expires_at": "2026-03-24T20:00:05.000Z"
  },
  "meta": {
    "request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
  }
}

Path Parameters

organizationId
string
required
Pattern: ^org_[0123456789abcdefghjkmnpqrstvwxyz]{26}$
Example:

"org_f6m39y94nh6fs513q03skj929c"

Body

application/json
name
string
required
Minimum string length: 1
Example:

"Acme Growth Workspace"

type
enum<string>
Available options:
publishable,
secret
Example:

"publishable"

environment
enum<string>
Available options:
live,
test
Example:

"live"

allowed_origins
string<uri>[]
Example:
["https://app.acme.co/signup"]
scopes
enum<string>[]
Available options:
sessions:list,
sessions:read,
fingerprints:list,
fingerprints:read,
organizations:create,
organizations:read,
organizations:update,
api_keys:read,
api_keys:manage,
gate:agent_tokens:verify,
gate:agent_tokens:revoke,
gate:login_sessions:consume,
gate:services:read,
gate:services:manage
Example:
["sessions:list"]

Response

Issued API key response.

data
object
required
Example:
{
"object": "api_key",
"id": "key_6cw04zdmetw8t5rsdppadhper0",
"type": "publishable",
"environment": "live",
"name": "Acme Growth Workspace",
"status": "active",
"allowed_origins": ["https://app.acme.co/signup"],
"scopes": ["sessions:list"],
"rate_limit": 1,
"key_preview": "TRIPWIRE_SAMPLE_KEY",
"display_key": "TRIPWIRE_SAMPLE_KEY",
"revealed_key": "TRIPWIRE_SAMPLE_KEY",
"last_used_at": "2026-03-24T20:00:05.000Z",
"created_at": "2026-03-24T20:00:00.000Z",
"rotated_at": "2026-03-24T20:00:05.000Z",
"revoked_at": "2026-03-24T20:00:05.000Z",
"grace_expires_at": "2026-03-24T20:00:05.000Z"
}
meta
object
required
Example:
{
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
}